Bug 1283219 - (CVE-2015-8023) CVE-2015-8023 strongswan: Authentication bypass in eap-mschapv2 plugin
CVE-2015-8023 strongswan: Authentication bypass in eap-mschapv2 plugin
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151116,repo...
: Security
Depends On: 1283220 1283221 1287533 1287534
Blocks: 1283224
  Show dependency treegraph
 
Reported: 2015-11-18 08:23 EST by Adam Mariš
Modified: 2017-05-02 02:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: strongswan 5.3.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-18 08:23:15 EST
A vulnerability in eap-mschapv2 plugin allowing a malicious client to trick the server into successfully concluding the authentication without providing valid credential. The problem is caused by insufficient verification of the local state in the server implementation of the EAP-MSCHAPv2 protocol. In fact, the client can simply send the last message in the EAP-MSCHAPv2 protocol (an empty Success message) as response to the server's initial Challenge message to pass the authentication successfully. Affected are IKEv2 connections that use EAP-MSCHAPv2 to authenticate clients via eap-mschapv2 plugin. Affected are all strongswan versions 4.2.12, up to and including 5.3.3.

Upstream patch:

https://download.strongswan.org/security/CVE-2015-8023/

External reference:

https://www.strongswan.org/blog/2015/11/16/strongswan-vulnerability-%28cve-2015-8023%29.html
Comment 1 Adam Mariš 2015-11-18 08:23:41 EST
Created strongswan tracking bugs for this issue:

Affects: fedora-all [bug 1283220]
Affects: epel-all [bug 1283221]
Comment 3 Stefan Cornelius 2015-12-11 07:51:05 EST
Statement:

This issue did not affect the versions of strongimcv as shipped with Red Hat Enterprise Linux 7, as they did not include support for the eap-mschapv2 plugin.

Note You need to log in before you can comment on or make changes to this bug.